/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
(function () {
  'use strict';

  var feedHours = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-01T01:00:00+00:00","numFailedInstances":10,"numSuccessfullInstances":5,"dataSizeCopied":677.28},{"startTime":"2015-01-01T01:00:00+00:00","endTime":"2015-01-01T02:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":6,"dataSizeCopied":77.28},{"startTime":"2015-01-01T02:00:00+00:00","endTime":"2015-01-01T03:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":8,"dataSizeCopied":1677.13},{"startTime":"2015-01-01T03:00:00+00:00","endTime":"2015-01-01T04:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":2,"dataSizeCopied":132.14},{"startTime":"2015-01-01T04:00:00+00:00","endTime":"2015-01-01T05:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":15,"dataSizeCopied":1532.45},{"startTime":"2015-01-01T05:00:00+00:00","endTime":"2015-01-01T06:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":2,"dataSizeCopied":0.98},{"startTime":"2015-01-01T06:00:00+00:00","endTime":"2015-01-01T07:00:00+00:00","numFailedInstances":10,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T07:00:00+00:00","endTime":"2015-01-01T08:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":5,"dataSizeCopied":2543.52},{"startTime":"2015-01-01T08:00:00+00:00","endTime":"2015-01-01T01:09:00+00:00","numFailedInstances":1,"numSuccessfullInstances":15,"dataSizeCopied":7002.28},{"startTime":"2015-01-01T09:00:00+00:00","endTime":"2015-01-01T10:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":25,"dataSizeCopied":762.02},{"startTime":"2015-01-01T10:00:00+00:00","endTime":"2015-01-01T11:00:00+00:00","numFailedInstances":14,"numSuccessfullInstances":12,"dataSizeCopied":4163.28},{"startTime":"2015-01-01T11:00:00+00:00","endTime":"2015-01-01T12:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":1,"dataSizeCopied":632.68},{"startTime":"2015-01-01T12:00:00+00:00","endTime":"2015-01-01T13:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":7,"dataSizeCopied":1003.92},{"startTime":"2015-01-01T13:00:00+00:00","endTime":"2015-01-01T14:00:00+00:00","numFailedInstances":4,"numSuccessfullInstances":13,"dataSizeCopied":4198.62},{"startTime":"2015-01-01T14:00:00+00:00","endTime":"2015-01-01T15:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":11,"dataSizeCopied":8170.83},{"startTime":"2015-01-01T15:00:00+00:00","endTime":"2015-01-01T16:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":16,"dataSizeCopied":4812.93},{"startTime":"2015-01-01T16:00:00+00:00","endTime":"2015-01-01T17:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":18,"dataSizeCopied":7098.15},{"startTime":"2015-01-01T17:00:00+00:00","endTime":"2015-01-01T18:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":3,"dataSizeCopied":102.68},{"startTime":"2015-01-01T18:00:00+00:00","endTime":"2015-01-01T19:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":7,"dataSizeCopied":301.42},{"startTime":"2015-01-01T19:00:00+00:00","endTime":"2015-01-01T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":13,"dataSizeCopied":2431.50},{"startTime":"2015-01-01T20:00:00+00:00","endTime":"2015-01-01T21:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":5,"dataSizeCopied":97.57},{"startTime":"2015-01-01T21:00:00+00:00","endTime":"2015-01-01T22:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":5,"dataSizeCopied":154.32},{"startTime":"2015-01-01T22:00:00+00:00","endTime":"2015-01-01T23:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T23:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":3,"dataSizeCopied":2637.62}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-02T01:00:00+00:00","numFailedInstances":98,"numSuccessfullInstances":85,"dataSizeCopied":7268.55},{"startTime":"2015-01-02T01:00:00+00:00","endTime":"2015-01-02T02:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":20,"dataSizeCopied":3003.66},{"startTime":"2015-01-02T02:00:00+00:00","endTime":"2015-01-02T03:00:00+00:00","numFailedInstances":22,"numSuccessfullInstances":84,"dataSizeCopied":7418.37},{"startTime":"2015-01-02T03:00:00+00:00","endTime":"2015-01-02T04:00:00+00:00","numFailedInstances":48,"numSuccessfullInstances":80,"dataSizeCopied":2870.58},{"startTime":"2015-01-02T04:00:00+00:00","endTime":"2015-01-02T05:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":72,"dataSizeCopied":7422.98},{"startTime":"2015-01-02T05:00:00+00:00","endTime":"2015-01-02T06:00:00+00:00","numFailedInstances":99,"numSuccessfullInstances":32,"dataSizeCopied":5517.14},{"startTime":"2015-01-02T06:00:00+00:00","endTime":"2015-01-02T07:00:00+00:00","numFailedInstances":87,"numSuccessfullInstances":3,"dataSizeCopied":7707.76},{"startTime":"2015-01-02T07:00:00+00:00","endTime":"2015-01-02T08:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":22,"dataSizeCopied":9756.59},{"startTime":"2015-01-02T08:00:00+00:00","endTime":"2015-01-02T01:09:00+00:00","numFailedInstances":26,"numSuccessfullInstances":61,"dataSizeCopied":262.23},{"startTime":"2015-01-02T09:00:00+00:00","endTime":"2015-01-02T10:00:00+00:00","numFailedInstances":55,"numSuccessfullInstances":53,"dataSizeCopied":4615.98},{"startTime":"2015-01-02T10:00:00+00:00","endTime":"2015-01-02T11:00:00+00:00","numFailedInstances":83,"numSuccessfullInstances":11,"dataSizeCopied":4451.74},{"startTime":"2015-01-02T11:00:00+00:00","endTime":"2015-01-02T12:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":33,"dataSizeCopied":4667.45},{"startTime":"2015-01-02T12:00:00+00:00","endTime":"2015-01-02T13:00:00+00:00","numFailedInstances":49,"numSuccessfullInstances":34,"dataSizeCopied":3429.94},{"startTime":"2015-01-02T13:00:00+00:00","endTime":"2015-01-02T14:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":90,"dataSizeCopied":3440.41},{"startTime":"2015-01-02T14:00:00+00:00","endTime":"2015-01-02T15:00:00+00:00","numFailedInstances":8,"numSuccessfullInstances":34,"dataSizeCopied":1950.69},{"startTime":"2015-01-02T15:00:00+00:00","endTime":"2015-01-02T16:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":2,"dataSizeCopied":1525.85},{"startTime":"2015-01-02T16:00:00+00:00","endTime":"2015-01-02T17:00:00+00:00","numFailedInstances":27,"numSuccessfullInstances":64,"dataSizeCopied":731.08},{"startTime":"2015-01-02T17:00:00+00:00","endTime":"2015-01-02T18:00:00+00:00","numFailedInstances":18,"numSuccessfullInstances":59,"dataSizeCopied":8072.24},{"startTime":"2015-01-02T18:00:00+00:00","endTime":"2015-01-02T19:00:00+00:00","numFailedInstances":74,"numSuccessfullInstances":24,"dataSizeCopied":8123.93},{"startTime":"2015-01-02T19:00:00+00:00","endTime":"2015-01-02T20:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":46,"dataSizeCopied":4957.95},{"startTime":"2015-01-02T20:00:00+00:00","endTime":"2015-01-02T21:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":70,"dataSizeCopied":6025.53},{"startTime":"2015-01-02T21:00:00+00:00","endTime":"2015-01-02T22:00:00+00:00","numFailedInstances":59,"numSuccessfullInstances":63,"dataSizeCopied":4502.26},{"startTime":"2015-01-02T22:00:00+00:00","endTime":"2015-01-02T23:00:00+00:00","numFailedInstances":61,"numSuccessfullInstances":96,"dataSizeCopied":5802.56},{"startTime":"2015-01-02T23:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":53,"numSuccessfullInstances":29,"dataSizeCopied":2949.03}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-03T01:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":7,"dataSizeCopied":9072.47},{"startTime":"2015-01-03T01:00:00+00:00","endTime":"2015-01-03T02:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":3,"dataSizeCopied":815.97},{"startTime":"2015-01-03T02:00:00+00:00","endTime":"2015-01-03T03:00:00+00:00","numFailedInstances":51,"numSuccessfullInstances":35,"dataSizeCopied":8629.88},{"startTime":"2015-01-03T03:00:00+00:00","endTime":"2015-01-03T04:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":16,"dataSizeCopied":6348.3},{"startTime":"2015-01-03T04:00:00+00:00","endTime":"2015-01-03T05:00:00+00:00","numFailedInstances":53,"numSuccessfullInstances":10,"dataSizeCopied":9914.63},{"startTime":"2015-01-03T05:00:00+00:00","endTime":"2015-01-03T06:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":61,"dataSizeCopied":315.61},{"startTime":"2015-01-03T06:00:00+00:00","endTime":"2015-01-03T07:00:00+00:00","numFailedInstances":78,"numSuccessfullInstances":79,"dataSizeCopied":5415.44},{"startTime":"2015-01-03T07:00:00+00:00","endTime":"2015-01-03T08:00:00+00:00","numFailedInstances":85,"numSuccessfullInstances":59,"dataSizeCopied":8868.3},{"startTime":"2015-01-03T08:00:00+00:00","endTime":"2015-01-03T09:00:00+00:00","numFailedInstances":96,"numSuccessfullInstances":62,"dataSizeCopied":4119.68},{"startTime":"2015-01-03T09:00:00+00:00","endTime":"2015-01-03T10:00:00+00:00","numFailedInstances":2,"numSuccessfullInstances":10,"dataSizeCopied":7373.51},{"startTime":"2015-01-03T10:00:00+00:00","endTime":"2015-01-03T11:00:00+00:00","numFailedInstances":82,"numSuccessfullInstances":43,"dataSizeCopied":3540.7},{"startTime":"2015-01-03T11:00:00+00:00","endTime":"2015-01-03T12:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":29,"dataSizeCopied":7308.66},{"startTime":"2015-01-03T12:00:00+00:00","endTime":"2015-01-03T13:00:00+00:00","numFailedInstances":54,"numSuccessfullInstances":61,"dataSizeCopied":3916.97},{"startTime":"2015-01-03T13:00:00+00:00","endTime":"2015-01-03T14:00:00+00:00","numFailedInstances":92,"numSuccessfullInstances":43,"dataSizeCopied":4470.67},{"startTime":"2015-01-03T14:00:00+00:00","endTime":"2015-01-03T15:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":13,"dataSizeCopied":6667.38},{"startTime":"2015-01-03T15:00:00+00:00","endTime":"2015-01-03T16:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":52,"dataSizeCopied":8070.53},{"startTime":"2015-01-03T16:00:00+00:00","endTime":"2015-01-03T17:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":68,"dataSizeCopied":1176.12},{"startTime":"2015-01-03T17:00:00+00:00","endTime":"2015-01-03T18:00:00+00:00","numFailedInstances":75,"numSuccessfullInstances":89,"dataSizeCopied":4148.9},{"startTime":"2015-01-03T18:00:00+00:00","endTime":"2015-01-03T19:00:00+00:00","numFailedInstances":77,"numSuccessfullInstances":84,"dataSizeCopied":4533.51},{"startTime":"2015-01-03T19:00:00+00:00","endTime":"2015-01-03T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":17,"dataSizeCopied":3710.7},{"startTime":"2015-01-03T20:00:00+00:00","endTime":"2015-01-03T21:00:00+00:00","numFailedInstances":76,"numSuccessfullInstances":47,"dataSizeCopied":2555.19},{"startTime":"2015-01-03T21:00:00+00:00","endTime":"2015-01-03T22:00:00+00:00","numFailedInstances":70,"numSuccessfullInstances":37,"dataSizeCopied":2288.14},{"startTime":"2015-01-03T22:00:00+00:00","endTime":"2015-01-03T23:00:00+00:00","numFailedInstances":59,"numSuccessfullInstances":42,"dataSizeCopied":6847.27},{"startTime":"2015-01-03T23:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":55,"numSuccessfullInstances":48,"dataSizeCopied":511.32}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],
      processHours = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-01T01:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":15,"dataSizeCopied":577.28},{"startTime":"2015-01-01T01:00:00+00:00","endTime":"2015-01-01T02:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":26,"dataSizeCopied":727.28},{"startTime":"2015-01-01T02:00:00+00:00","endTime":"2015-01-01T03:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":28,"dataSizeCopied":677.13},{"startTime":"2015-01-01T03:00:00+00:00","endTime":"2015-01-01T04:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":5,"dataSizeCopied":132.14},{"startTime":"2015-01-01T04:00:00+00:00","endTime":"2015-01-01T05:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":11,"dataSizeCopied":132.45},{"startTime":"2015-01-01T05:00:00+00:00","endTime":"2015-01-01T06:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":12,"dataSizeCopied":120.98},{"startTime":"2015-01-01T06:00:00+00:00","endTime":"2015-01-01T07:00:00+00:00","numFailedInstances":14,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T07:00:00+00:00","endTime":"2015-01-01T08:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":15,"dataSizeCopied":6543.52},{"startTime":"2015-01-01T08:00:00+00:00","endTime":"2015-01-01T01:09:00+00:00","numFailedInstances":7,"numSuccessfullInstances":5,"dataSizeCopied":702.28},{"startTime":"2015-01-01T09:00:00+00:00","endTime":"2015-01-01T10:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T10:00:00+00:00","endTime":"2015-01-01T11:00:00+00:00","numFailedInstances":4,"numSuccessfullInstances":2,"dataSizeCopied":213.28},{"startTime":"2015-01-01T11:00:00+00:00","endTime":"2015-01-01T12:00:00+00:00","numFailedInstances":10,"numSuccessfullInstances":4,"dataSizeCopied":62.68},{"startTime":"2015-01-01T12:00:00+00:00","endTime":"2015-01-01T13:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":3,"dataSizeCopied":1303.92},{"startTime":"2015-01-01T13:00:00+00:00","endTime":"2015-01-01T14:00:00+00:00","numFailedInstances":24,"numSuccessfullInstances":13,"dataSizeCopied":4198.62},{"startTime":"2015-01-01T14:00:00+00:00","endTime":"2015-01-01T15:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":31,"dataSizeCopied":2470.32},{"startTime":"2015-01-01T15:00:00+00:00","endTime":"2015-01-01T16:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":16,"dataSizeCopied":4812.93},{"startTime":"2015-01-01T16:00:00+00:00","endTime":"2015-01-01T17:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":18,"dataSizeCopied":7098.15},{"startTime":"2015-01-01T17:00:00+00:00","endTime":"2015-01-01T18:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":3,"dataSizeCopied":102.68},{"startTime":"2015-01-01T18:00:00+00:00","endTime":"2015-01-01T19:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":7,"dataSizeCopied":301.42},{"startTime":"2015-01-01T19:00:00+00:00","endTime":"2015-01-01T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":13,"dataSizeCopied":2431.50},{"startTime":"2015-01-01T20:00:00+00:00","endTime":"2015-01-01T21:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":5,"dataSizeCopied":97.57},{"startTime":"2015-01-01T21:00:00+00:00","endTime":"2015-01-01T22:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":5,"dataSizeCopied":154.32},{"startTime":"2015-01-01T22:00:00+00:00","endTime":"2015-01-01T23:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T23:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":3,"dataSizeCopied":2637.62}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-02T01:00:00+00:00","numFailedInstances":98,"numSuccessfullInstances":85,"dataSizeCopied":7268.55},{"startTime":"2015-01-02T01:00:00+00:00","endTime":"2015-01-02T02:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":20,"dataSizeCopied":3003.66},{"startTime":"2015-01-02T02:00:00+00:00","endTime":"2015-01-02T03:00:00+00:00","numFailedInstances":22,"numSuccessfullInstances":84,"dataSizeCopied":7418.37},{"startTime":"2015-01-02T03:00:00+00:00","endTime":"2015-01-02T04:00:00+00:00","numFailedInstances":48,"numSuccessfullInstances":80,"dataSizeCopied":2870.58},{"startTime":"2015-01-02T04:00:00+00:00","endTime":"2015-01-02T05:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":72,"dataSizeCopied":7422.98},{"startTime":"2015-01-02T05:00:00+00:00","endTime":"2015-01-02T06:00:00+00:00","numFailedInstances":99,"numSuccessfullInstances":32,"dataSizeCopied":5517.14},{"startTime":"2015-01-02T06:00:00+00:00","endTime":"2015-01-02T07:00:00+00:00","numFailedInstances":87,"numSuccessfullInstances":3,"dataSizeCopied":7707.76},{"startTime":"2015-01-02T07:00:00+00:00","endTime":"2015-01-02T08:00:00+00:00","numFailedInstances":26,"numSuccessfullInstances":22,"dataSizeCopied":9756.59},{"startTime":"2015-01-02T08:00:00+00:00","endTime":"2015-01-02T01:09:00+00:00","numFailedInstances":26,"numSuccessfullInstances":61,"dataSizeCopied":262.23},{"startTime":"2015-01-02T09:00:00+00:00","endTime":"2015-01-02T10:00:00+00:00","numFailedInstances":55,"numSuccessfullInstances":53,"dataSizeCopied":4615.98},{"startTime":"2015-01-02T10:00:00+00:00","endTime":"2015-01-02T11:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":11,"dataSizeCopied":4451.74},{"startTime":"2015-01-02T11:00:00+00:00","endTime":"2015-01-02T12:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":23,"dataSizeCopied":467.45},{"startTime":"2015-01-02T12:00:00+00:00","endTime":"2015-01-02T13:00:00+00:00","numFailedInstances":19,"numSuccessfullInstances":34,"dataSizeCopied":3429.94},{"startTime":"2015-01-02T13:00:00+00:00","endTime":"2015-01-02T14:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":90,"dataSizeCopied":3440.41},{"startTime":"2015-01-02T14:00:00+00:00","endTime":"2015-01-02T15:00:00+00:00","numFailedInstances":8,"numSuccessfullInstances":34,"dataSizeCopied":1950.69},{"startTime":"2015-01-02T15:00:00+00:00","endTime":"2015-01-02T16:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":2,"dataSizeCopied":1525.85},{"startTime":"2015-01-02T16:00:00+00:00","endTime":"2015-01-02T17:00:00+00:00","numFailedInstances":27,"numSuccessfullInstances":64,"dataSizeCopied":731.08},{"startTime":"2015-01-02T17:00:00+00:00","endTime":"2015-01-02T18:00:00+00:00","numFailedInstances":18,"numSuccessfullInstances":59,"dataSizeCopied":8072.24},{"startTime":"2015-01-02T18:00:00+00:00","endTime":"2015-01-02T19:00:00+00:00","numFailedInstances":74,"numSuccessfullInstances":24,"dataSizeCopied":8123.93},{"startTime":"2015-01-02T19:00:00+00:00","endTime":"2015-01-02T20:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":46,"dataSizeCopied":4957.95},{"startTime":"2015-01-02T20:00:00+00:00","endTime":"2015-01-02T21:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":70,"dataSizeCopied":6025.53},{"startTime":"2015-01-02T21:00:00+00:00","endTime":"2015-01-02T22:00:00+00:00","numFailedInstances":59,"numSuccessfullInstances":63,"dataSizeCopied":4502.26},{"startTime":"2015-01-02T22:00:00+00:00","endTime":"2015-01-02T23:00:00+00:00","numFailedInstances":61,"numSuccessfullInstances":96,"dataSizeCopied":5802.56},{"startTime":"2015-01-02T23:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":53,"numSuccessfullInstances":29,"dataSizeCopied":2949.03}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-03T01:00:00+00:00","numFailedInstances":5,"numSuccessfullInstances":7,"dataSizeCopied":9072.47},{"startTime":"2015-01-03T01:00:00+00:00","endTime":"2015-01-03T02:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":3,"dataSizeCopied":815.97},{"startTime":"2015-01-03T02:00:00+00:00","endTime":"2015-01-03T03:00:00+00:00","numFailedInstances":51,"numSuccessfullInstances":35,"dataSizeCopied":8629.88},{"startTime":"2015-01-03T03:00:00+00:00","endTime":"2015-01-03T04:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":16,"dataSizeCopied":6348.3},{"startTime":"2015-01-03T04:00:00+00:00","endTime":"2015-01-03T05:00:00+00:00","numFailedInstances":61,"numSuccessfullInstances":1,"dataSizeCopied":14.63},{"startTime":"2015-01-03T05:00:00+00:00","endTime":"2015-01-03T06:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":61,"dataSizeCopied":315.61},{"startTime":"2015-01-03T06:00:00+00:00","endTime":"2015-01-03T07:00:00+00:00","numFailedInstances":78,"numSuccessfullInstances":79,"dataSizeCopied":5415.44},{"startTime":"2015-01-03T07:00:00+00:00","endTime":"2015-01-03T08:00:00+00:00","numFailedInstances":85,"numSuccessfullInstances":59,"dataSizeCopied":8868.3},{"startTime":"2015-01-03T08:00:00+00:00","endTime":"2015-01-03T09:00:00+00:00","numFailedInstances":96,"numSuccessfullInstances":62,"dataSizeCopied":4119.68},{"startTime":"2015-01-03T09:00:00+00:00","endTime":"2015-01-03T10:00:00+00:00","numFailedInstances":12,"numSuccessfullInstances":13,"dataSizeCopied":733.51},{"startTime":"2015-01-03T10:00:00+00:00","endTime":"2015-01-03T11:00:00+00:00","numFailedInstances":82,"numSuccessfullInstances":43,"dataSizeCopied":3540.7},{"startTime":"2015-01-03T11:00:00+00:00","endTime":"2015-01-03T12:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":29,"dataSizeCopied":7308.66},{"startTime":"2015-01-03T12:00:00+00:00","endTime":"2015-01-03T13:00:00+00:00","numFailedInstances":24,"numSuccessfullInstances":4,"dataSizeCopied":916.97},{"startTime":"2015-01-03T13:00:00+00:00","endTime":"2015-01-03T14:00:00+00:00","numFailedInstances":92,"numSuccessfullInstances":43,"dataSizeCopied":4470.67},{"startTime":"2015-01-03T14:00:00+00:00","endTime":"2015-01-03T15:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":13,"dataSizeCopied":6667.38},{"startTime":"2015-01-03T15:00:00+00:00","endTime":"2015-01-03T16:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":52,"dataSizeCopied":8070.53},{"startTime":"2015-01-03T16:00:00+00:00","endTime":"2015-01-03T17:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":68,"dataSizeCopied":1176.12},{"startTime":"2015-01-03T17:00:00+00:00","endTime":"2015-01-03T18:00:00+00:00","numFailedInstances":75,"numSuccessfullInstances":89,"dataSizeCopied":4148.9},{"startTime":"2015-01-03T18:00:00+00:00","endTime":"2015-01-03T19:00:00+00:00","numFailedInstances":77,"numSuccessfullInstances":84,"dataSizeCopied":4533.51},{"startTime":"2015-01-03T19:00:00+00:00","endTime":"2015-01-03T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":17,"dataSizeCopied":3710.7},{"startTime":"2015-01-03T20:00:00+00:00","endTime":"2015-01-03T21:00:00+00:00","numFailedInstances":76,"numSuccessfullInstances":47,"dataSizeCopied":2555.19},{"startTime":"2015-01-03T21:00:00+00:00","endTime":"2015-01-03T22:00:00+00:00","numFailedInstances":70,"numSuccessfullInstances":37,"dataSizeCopied":2288.14},{"startTime":"2015-01-03T22:00:00+00:00","endTime":"2015-01-03T23:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":2,"dataSizeCopied":687.27},{"startTime":"2015-01-03T23:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":5,"numSuccessfullInstances":44,"dataSizeCopied":591.32}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],
      datasetHours = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-01T01:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":15,"dataSizeCopied":577.28},{"startTime":"2015-01-01T01:00:00+00:00","endTime":"2015-01-01T02:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":26,"dataSizeCopied":727.28},{"startTime":"2015-01-01T02:00:00+00:00","endTime":"2015-01-01T03:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":28,"dataSizeCopied":677.13},{"startTime":"2015-01-01T03:00:00+00:00","endTime":"2015-01-01T04:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":5,"dataSizeCopied":132.14},{"startTime":"2015-01-01T04:00:00+00:00","endTime":"2015-01-01T05:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":11,"dataSizeCopied":132.45},{"startTime":"2015-01-01T05:00:00+00:00","endTime":"2015-01-01T06:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":12,"dataSizeCopied":120.98},{"startTime":"2015-01-01T06:00:00+00:00","endTime":"2015-01-01T07:00:00+00:00","numFailedInstances":14,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T07:00:00+00:00","endTime":"2015-01-01T08:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":15,"dataSizeCopied":6543.52},{"startTime":"2015-01-01T08:00:00+00:00","endTime":"2015-01-01T01:09:00+00:00","numFailedInstances":7,"numSuccessfullInstances":5,"dataSizeCopied":702.28},{"startTime":"2015-01-01T09:00:00+00:00","endTime":"2015-01-01T10:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T10:00:00+00:00","endTime":"2015-01-01T11:00:00+00:00","numFailedInstances":4,"numSuccessfullInstances":2,"dataSizeCopied":213.28},{"startTime":"2015-01-01T11:00:00+00:00","endTime":"2015-01-01T12:00:00+00:00","numFailedInstances":10,"numSuccessfullInstances":4,"dataSizeCopied":62.68},{"startTime":"2015-01-01T12:00:00+00:00","endTime":"2015-01-01T13:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":3,"dataSizeCopied":1303.92},{"startTime":"2015-01-01T13:00:00+00:00","endTime":"2015-01-01T14:00:00+00:00","numFailedInstances":24,"numSuccessfullInstances":13,"dataSizeCopied":4198.62},{"startTime":"2015-01-01T14:00:00+00:00","endTime":"2015-01-01T15:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":31,"dataSizeCopied":2470.32},{"startTime":"2015-01-01T15:00:00+00:00","endTime":"2015-01-01T16:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":16,"dataSizeCopied":4812.93},{"startTime":"2015-01-01T16:00:00+00:00","endTime":"2015-01-01T17:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":18,"dataSizeCopied":7098.15},{"startTime":"2015-01-01T17:00:00+00:00","endTime":"2015-01-01T18:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":3,"dataSizeCopied":102.68},{"startTime":"2015-01-01T18:00:00+00:00","endTime":"2015-01-01T19:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":7,"dataSizeCopied":301.42},{"startTime":"2015-01-01T19:00:00+00:00","endTime":"2015-01-01T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":13,"dataSizeCopied":2431.50},{"startTime":"2015-01-01T20:00:00+00:00","endTime":"2015-01-01T21:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":5,"dataSizeCopied":97.57},{"startTime":"2015-01-01T21:00:00+00:00","endTime":"2015-01-01T22:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":5,"dataSizeCopied":154.32},{"startTime":"2015-01-01T22:00:00+00:00","endTime":"2015-01-01T23:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":0,"dataSizeCopied":0},{"startTime":"2015-01-01T23:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":3,"dataSizeCopied":2637.62}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-02T01:00:00+00:00","numFailedInstances":98,"numSuccessfullInstances":85,"dataSizeCopied":7268.55},{"startTime":"2015-01-02T01:00:00+00:00","endTime":"2015-01-02T02:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":20,"dataSizeCopied":3003.66},{"startTime":"2015-01-02T02:00:00+00:00","endTime":"2015-01-02T03:00:00+00:00","numFailedInstances":22,"numSuccessfullInstances":84,"dataSizeCopied":7418.37},{"startTime":"2015-01-02T03:00:00+00:00","endTime":"2015-01-02T04:00:00+00:00","numFailedInstances":48,"numSuccessfullInstances":80,"dataSizeCopied":2870.58},{"startTime":"2015-01-02T04:00:00+00:00","endTime":"2015-01-02T05:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":72,"dataSizeCopied":7422.98},{"startTime":"2015-01-02T05:00:00+00:00","endTime":"2015-01-02T06:00:00+00:00","numFailedInstances":99,"numSuccessfullInstances":32,"dataSizeCopied":5517.14},{"startTime":"2015-01-02T06:00:00+00:00","endTime":"2015-01-02T07:00:00+00:00","numFailedInstances":87,"numSuccessfullInstances":3,"dataSizeCopied":7707.76},{"startTime":"2015-01-02T07:00:00+00:00","endTime":"2015-01-02T08:00:00+00:00","numFailedInstances":5,"numSuccessfullInstances":22,"dataSizeCopied":9756.59},{"startTime":"2015-01-02T08:00:00+00:00","endTime":"2015-01-02T01:09:00+00:00","numFailedInstances":26,"numSuccessfullInstances":61,"dataSizeCopied":262.23},{"startTime":"2015-01-02T09:00:00+00:00","endTime":"2015-01-02T10:00:00+00:00","numFailedInstances":55,"numSuccessfullInstances":53,"dataSizeCopied":4615.98},{"startTime":"2015-01-02T10:00:00+00:00","endTime":"2015-01-02T11:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":11,"dataSizeCopied":4451.74},{"startTime":"2015-01-02T11:00:00+00:00","endTime":"2015-01-02T12:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":23,"dataSizeCopied":467.45},{"startTime":"2015-01-02T12:00:00+00:00","endTime":"2015-01-02T13:00:00+00:00","numFailedInstances":19,"numSuccessfullInstances":34,"dataSizeCopied":3429.94},{"startTime":"2015-01-02T13:00:00+00:00","endTime":"2015-01-02T14:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":90,"dataSizeCopied":3440.41},{"startTime":"2015-01-02T14:00:00+00:00","endTime":"2015-01-02T15:00:00+00:00","numFailedInstances":8,"numSuccessfullInstances":34,"dataSizeCopied":1950.69},{"startTime":"2015-01-02T15:00:00+00:00","endTime":"2015-01-02T16:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":2,"dataSizeCopied":1525.85},{"startTime":"2015-01-02T16:00:00+00:00","endTime":"2015-01-02T17:00:00+00:00","numFailedInstances":27,"numSuccessfullInstances":64,"dataSizeCopied":731.08},{"startTime":"2015-01-02T17:00:00+00:00","endTime":"2015-01-02T18:00:00+00:00","numFailedInstances":18,"numSuccessfullInstances":59,"dataSizeCopied":8072.24},{"startTime":"2015-01-02T18:00:00+00:00","endTime":"2015-01-02T19:00:00+00:00","numFailedInstances":74,"numSuccessfullInstances":24,"dataSizeCopied":8123.93},{"startTime":"2015-01-02T19:00:00+00:00","endTime":"2015-01-02T20:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":46,"dataSizeCopied":4957.95},{"startTime":"2015-01-02T20:00:00+00:00","endTime":"2015-01-02T21:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":70,"dataSizeCopied":6025.53},{"startTime":"2015-01-02T21:00:00+00:00","endTime":"2015-01-02T22:00:00+00:00","numFailedInstances":59,"numSuccessfullInstances":63,"dataSizeCopied":4502.26},{"startTime":"2015-01-02T22:00:00+00:00","endTime":"2015-01-02T23:00:00+00:00","numFailedInstances":61,"numSuccessfullInstances":96,"dataSizeCopied":5802.56},{"startTime":"2015-01-02T23:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":53,"numSuccessfullInstances":29,"dataSizeCopied":2949.03}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"},{"summary":[{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-03T01:00:00+00:00","numFailedInstances":5,"numSuccessfullInstances":7,"dataSizeCopied":9072.47},{"startTime":"2015-01-03T01:00:00+00:00","endTime":"2015-01-03T02:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":3,"dataSizeCopied":815.97},{"startTime":"2015-01-03T02:00:00+00:00","endTime":"2015-01-03T03:00:00+00:00","numFailedInstances":51,"numSuccessfullInstances":35,"dataSizeCopied":8629.88},{"startTime":"2015-01-03T03:00:00+00:00","endTime":"2015-01-03T04:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":16,"dataSizeCopied":6348.3},{"startTime":"2015-01-03T04:00:00+00:00","endTime":"2015-01-03T05:00:00+00:00","numFailedInstances":61,"numSuccessfullInstances":1,"dataSizeCopied":14.63},{"startTime":"2015-01-03T05:00:00+00:00","endTime":"2015-01-03T06:00:00+00:00","numFailedInstances":13,"numSuccessfullInstances":61,"dataSizeCopied":315.61},{"startTime":"2015-01-03T06:00:00+00:00","endTime":"2015-01-03T07:00:00+00:00","numFailedInstances":78,"numSuccessfullInstances":79,"dataSizeCopied":5415.44},{"startTime":"2015-01-03T07:00:00+00:00","endTime":"2015-01-03T08:00:00+00:00","numFailedInstances":85,"numSuccessfullInstances":59,"dataSizeCopied":8868.3},{"startTime":"2015-01-03T08:00:00+00:00","endTime":"2015-01-03T09:00:00+00:00","numFailedInstances":96,"numSuccessfullInstances":62,"dataSizeCopied":4119.68},{"startTime":"2015-01-03T09:00:00+00:00","endTime":"2015-01-03T10:00:00+00:00","numFailedInstances":12,"numSuccessfullInstances":13,"dataSizeCopied":733.51},{"startTime":"2015-01-03T10:00:00+00:00","endTime":"2015-01-03T11:00:00+00:00","numFailedInstances":82,"numSuccessfullInstances":43,"dataSizeCopied":3540.7},{"startTime":"2015-01-03T11:00:00+00:00","endTime":"2015-01-03T12:00:00+00:00","numFailedInstances":3,"numSuccessfullInstances":29,"dataSizeCopied":7308.66},{"startTime":"2015-01-03T12:00:00+00:00","endTime":"2015-01-03T13:00:00+00:00","numFailedInstances":24,"numSuccessfullInstances":4,"dataSizeCopied":916.97},{"startTime":"2015-01-03T13:00:00+00:00","endTime":"2015-01-03T14:00:00+00:00","numFailedInstances":92,"numSuccessfullInstances":43,"dataSizeCopied":4470.67},{"startTime":"2015-01-03T14:00:00+00:00","endTime":"2015-01-03T15:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":13,"dataSizeCopied":6667.38},{"startTime":"2015-01-03T15:00:00+00:00","endTime":"2015-01-03T16:00:00+00:00","numFailedInstances":37,"numSuccessfullInstances":52,"dataSizeCopied":8070.53},{"startTime":"2015-01-03T16:00:00+00:00","endTime":"2015-01-03T17:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":68,"dataSizeCopied":1176.12},{"startTime":"2015-01-03T17:00:00+00:00","endTime":"2015-01-03T18:00:00+00:00","numFailedInstances":75,"numSuccessfullInstances":89,"dataSizeCopied":4148.9},{"startTime":"2015-01-03T18:00:00+00:00","endTime":"2015-01-03T19:00:00+00:00","numFailedInstances":77,"numSuccessfullInstances":84,"dataSizeCopied":4533.51},{"startTime":"2015-01-03T19:00:00+00:00","endTime":"2015-01-03T20:00:00+00:00","numFailedInstances":17,"numSuccessfullInstances":17,"dataSizeCopied":3710.7},{"startTime":"2015-01-03T20:00:00+00:00","endTime":"2015-01-03T21:00:00+00:00","numFailedInstances":76,"numSuccessfullInstances":47,"dataSizeCopied":2555.19},{"startTime":"2015-01-03T21:00:00+00:00","endTime":"2015-01-03T22:00:00+00:00","numFailedInstances":70,"numSuccessfullInstances":37,"dataSizeCopied":2288.14},{"startTime":"2015-01-03T22:00:00+00:00","endTime":"2015-01-03T23:00:00+00:00","numFailedInstances":9,"numSuccessfullInstances":2,"dataSizeCopied":687.27},{"startTime":"2015-01-03T23:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":5,"numSuccessfullInstances":44,"dataSizeCopied":591.32}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],

      feedDays = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":9,"dataSizeCopied":67.28},{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":14,"dataSizeCopied":367.28},{"startTime":"2015-01-04T00:00:00+00:00","endTime":"2015-01-05T00:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":23,"dataSizeCopied":367.28},{"startTime":"2015-01-05T00:00:00+00:00","endTime":"2015-01-06T00:00:00+00:00","numFailedInstances":21,"numSuccessfullInstances":1,"dataSizeCopied":367.28},{"startTime":"2015-01-06T00:00:00+00:00","endTime":"2015-01-07T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-07T00:00:00+00:00","endTime":"2015-01-08T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-08T00:00:00+00:00","endTime":"2015-01-09T00:00:00+00:00","numFailedInstances":12,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-09T00:00:00+00:00","endTime":"2015-01-10T00:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-10T00:00:00+00:00","endTime":"2015-01-11T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-11T00:00:00+00:00","endTime":"2015-01-12T00:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-12T00:00:00+00:00","endTime":"2015-01-13T00:00:00+00:00","numFailedInstances":20,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-13T00:00:00+00:00","endTime":"2015-01-14T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-14T00:00:00+00:00","endTime":"2015-01-15T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-15T00:00:00+00:00","endTime":"2015-01-16T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-16T00:00:00+00:00","endTime":"2015-01-17T00:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-17T00:00:00+00:00","endTime":"2015-01-18T00:00:00+00:00","numFailedInstances":2,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-18T00:00:00+00:00","endTime":"2015-01-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-19T00:00:00+00:00","endTime":"2015-01-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-20T00:00:00+00:00","endTime":"2015-01-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-21T00:00:00+00:00","endTime":"2015-01-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-22T00:00:00+00:00","endTime":"2015-01-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-23T00:00:00+00:00","endTime":"2015-01-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-24T00:00:00+00:00","endTime":"2015-01-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-25T00:00:00+00:00","endTime":"2015-01-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-26T00:00:00+00:00","endTime":"2015-01-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-27T00:00:00+00:00","endTime":"2015-01-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-28T00:00:00+00:00","endTime":"2015-01-29T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-29T00:00:00+00:00","endTime":"2015-01-30T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-30T00:00:00+00:00","endTime":"2015-01-31T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-31T00:00:00+00:00","endTime":"2015-02-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-01T00:00:00+00:00","endTime":"2015-02-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-02T00:00:00+00:00","endTime":"2015-02-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-03T00:00:00+00:00","endTime":"2015-02-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-04T00:00:00+00:00","endTime":"2015-02-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-05T00:00:00+00:00","endTime":"2015-02-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-06T00:00:00+00:00","endTime":"2015-02-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-07T00:00:00+00:00","endTime":"2015-02-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-08T00:00:00+00:00","endTime":"2015-02-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-09T00:00:00+00:00","endTime":"2015-02-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-10T00:00:00+00:00","endTime":"2015-02-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-11T00:00:00+00:00","endTime":"2015-02-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-12T00:00:00+00:00","endTime":"2015-02-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-13T00:00:00+00:00","endTime":"2015-02-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-14T00:00:00+00:00","endTime":"2015-02-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-15T00:00:00+00:00","endTime":"2015-02-16T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-16T00:00:00+00:00","endTime":"2015-02-17T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-17T00:00:00+00:00","endTime":"2015-02-18T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-18T00:00:00+00:00","endTime":"2015-02-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-19T00:00:00+00:00","endTime":"2015-02-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-20T00:00:00+00:00","endTime":"2015-02-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-21T00:00:00+00:00","endTime":"2015-02-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-22T00:00:00+00:00","endTime":"2015-02-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-23T00:00:00+00:00","endTime":"2015-02-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-24T00:00:00+00:00","endTime":"2015-02-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-25T00:00:00+00:00","endTime":"2015-02-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-26T00:00:00+00:00","endTime":"2015-02-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-27T00:00:00+00:00","endTime":"2015-02-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-28T00:00:00+00:00","endTime":"2015-03-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-01T00:00:00+00:00","endTime":"2015-03-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-02T00:00:00+00:00","endTime":"2015-03-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-03T00:00:00+00:00","endTime":"2015-03-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-04T00:00:00+00:00","endTime":"2015-03-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-05T00:00:00+00:00","endTime":"2015-03-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-06T00:00:00+00:00","endTime":"2015-03-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-07T00:00:00+00:00","endTime":"2015-03-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-08T00:00:00+00:00","endTime":"2015-03-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-09T00:00:00+00:00","endTime":"2015-03-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-10T00:00:00+00:00","endTime":"2015-03-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-11T00:00:00+00:00","endTime":"2015-03-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-12T00:00:00+00:00","endTime":"2015-03-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-13T00:00:00+00:00","endTime":"2015-03-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-14T00:00:00+00:00","endTime":"2015-03-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],
      processDays = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":9,"dataSizeCopied":67.28},{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":11,"dataSizeCopied":367.28},{"startTime":"2015-01-04T00:00:00+00:00","endTime":"2015-01-05T00:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":2,"dataSizeCopied":367.28},{"startTime":"2015-01-05T00:00:00+00:00","endTime":"2015-01-06T00:00:00+00:00","numFailedInstances":21,"numSuccessfullInstances":10,"dataSizeCopied":367.28},{"startTime":"2015-01-06T00:00:00+00:00","endTime":"2015-01-07T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-07T00:00:00+00:00","endTime":"2015-01-08T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-08T00:00:00+00:00","endTime":"2015-01-09T00:00:00+00:00","numFailedInstances":12,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-09T00:00:00+00:00","endTime":"2015-01-10T00:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-10T00:00:00+00:00","endTime":"2015-01-11T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-11T00:00:00+00:00","endTime":"2015-01-12T00:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-12T00:00:00+00:00","endTime":"2015-01-13T00:00:00+00:00","numFailedInstances":20,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-13T00:00:00+00:00","endTime":"2015-01-14T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-14T00:00:00+00:00","endTime":"2015-01-15T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-15T00:00:00+00:00","endTime":"2015-01-16T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-16T00:00:00+00:00","endTime":"2015-01-17T00:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-17T00:00:00+00:00","endTime":"2015-01-18T00:00:00+00:00","numFailedInstances":2,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-18T00:00:00+00:00","endTime":"2015-01-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-19T00:00:00+00:00","endTime":"2015-01-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-20T00:00:00+00:00","endTime":"2015-01-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-21T00:00:00+00:00","endTime":"2015-01-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-22T00:00:00+00:00","endTime":"2015-01-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-23T00:00:00+00:00","endTime":"2015-01-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-24T00:00:00+00:00","endTime":"2015-01-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-25T00:00:00+00:00","endTime":"2015-01-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-26T00:00:00+00:00","endTime":"2015-01-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-27T00:00:00+00:00","endTime":"2015-01-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-28T00:00:00+00:00","endTime":"2015-01-29T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-29T00:00:00+00:00","endTime":"2015-01-30T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-30T00:00:00+00:00","endTime":"2015-01-31T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-31T00:00:00+00:00","endTime":"2015-02-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-01T00:00:00+00:00","endTime":"2015-02-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-02T00:00:00+00:00","endTime":"2015-02-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-03T00:00:00+00:00","endTime":"2015-02-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-04T00:00:00+00:00","endTime":"2015-02-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-05T00:00:00+00:00","endTime":"2015-02-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-06T00:00:00+00:00","endTime":"2015-02-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-07T00:00:00+00:00","endTime":"2015-02-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-08T00:00:00+00:00","endTime":"2015-02-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-09T00:00:00+00:00","endTime":"2015-02-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-10T00:00:00+00:00","endTime":"2015-02-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-11T00:00:00+00:00","endTime":"2015-02-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-12T00:00:00+00:00","endTime":"2015-02-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-13T00:00:00+00:00","endTime":"2015-02-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-14T00:00:00+00:00","endTime":"2015-02-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-15T00:00:00+00:00","endTime":"2015-02-16T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-16T00:00:00+00:00","endTime":"2015-02-17T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-17T00:00:00+00:00","endTime":"2015-02-18T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-18T00:00:00+00:00","endTime":"2015-02-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-19T00:00:00+00:00","endTime":"2015-02-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-20T00:00:00+00:00","endTime":"2015-02-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-21T00:00:00+00:00","endTime":"2015-02-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-22T00:00:00+00:00","endTime":"2015-02-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-23T00:00:00+00:00","endTime":"2015-02-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-24T00:00:00+00:00","endTime":"2015-02-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-25T00:00:00+00:00","endTime":"2015-02-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-26T00:00:00+00:00","endTime":"2015-02-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-27T00:00:00+00:00","endTime":"2015-02-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-28T00:00:00+00:00","endTime":"2015-03-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-01T00:00:00+00:00","endTime":"2015-03-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-02T00:00:00+00:00","endTime":"2015-03-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-03T00:00:00+00:00","endTime":"2015-03-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-04T00:00:00+00:00","endTime":"2015-03-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-05T00:00:00+00:00","endTime":"2015-03-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-06T00:00:00+00:00","endTime":"2015-03-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-07T00:00:00+00:00","endTime":"2015-03-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-08T00:00:00+00:00","endTime":"2015-03-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-09T00:00:00+00:00","endTime":"2015-03-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-10T00:00:00+00:00","endTime":"2015-03-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-11T00:00:00+00:00","endTime":"2015-03-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-12T00:00:00+00:00","endTime":"2015-03-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-13T00:00:00+00:00","endTime":"2015-03-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-14T00:00:00+00:00","endTime":"2015-03-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],
      datasetDays = [{"summary":[{"startTime":"2015-01-01T00:00:00+00:00","endTime":"2015-01-02T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":9,"dataSizeCopied":67.28},{"startTime":"2015-01-02T00:00:00+00:00","endTime":"2015-01-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-03T00:00:00+00:00","endTime":"2015-01-04T00:00:00+00:00","numFailedInstances":6,"numSuccessfullInstances":2,"dataSizeCopied":367.28},{"startTime":"2015-01-04T00:00:00+00:00","endTime":"2015-01-05T00:00:00+00:00","numFailedInstances":36,"numSuccessfullInstances":1,"dataSizeCopied":367.28},{"startTime":"2015-01-05T00:00:00+00:00","endTime":"2015-01-06T00:00:00+00:00","numFailedInstances":21,"numSuccessfullInstances":3,"dataSizeCopied":367.28},{"startTime":"2015-01-06T00:00:00+00:00","endTime":"2015-01-07T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-07T00:00:00+00:00","endTime":"2015-01-08T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-08T00:00:00+00:00","endTime":"2015-01-09T00:00:00+00:00","numFailedInstances":12,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-09T00:00:00+00:00","endTime":"2015-01-10T00:00:00+00:00","numFailedInstances":15,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-10T00:00:00+00:00","endTime":"2015-01-11T00:00:00+00:00","numFailedInstances":46,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-11T00:00:00+00:00","endTime":"2015-01-12T00:00:00+00:00","numFailedInstances":11,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-12T00:00:00+00:00","endTime":"2015-01-13T00:00:00+00:00","numFailedInstances":20,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-13T00:00:00+00:00","endTime":"2015-01-14T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-14T00:00:00+00:00","endTime":"2015-01-15T00:00:00+00:00","numFailedInstances":0,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-15T00:00:00+00:00","endTime":"2015-01-16T00:00:00+00:00","numFailedInstances":1,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-16T00:00:00+00:00","endTime":"2015-01-17T00:00:00+00:00","numFailedInstances":7,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-17T00:00:00+00:00","endTime":"2015-01-18T00:00:00+00:00","numFailedInstances":2,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-18T00:00:00+00:00","endTime":"2015-01-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-19T00:00:00+00:00","endTime":"2015-01-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-20T00:00:00+00:00","endTime":"2015-01-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-21T00:00:00+00:00","endTime":"2015-01-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-22T00:00:00+00:00","endTime":"2015-01-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-23T00:00:00+00:00","endTime":"2015-01-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-24T00:00:00+00:00","endTime":"2015-01-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-25T00:00:00+00:00","endTime":"2015-01-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-26T00:00:00+00:00","endTime":"2015-01-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-27T00:00:00+00:00","endTime":"2015-01-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-28T00:00:00+00:00","endTime":"2015-01-29T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-29T00:00:00+00:00","endTime":"2015-01-30T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-30T00:00:00+00:00","endTime":"2015-01-31T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-01-31T00:00:00+00:00","endTime":"2015-02-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-01T00:00:00+00:00","endTime":"2015-02-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-02T00:00:00+00:00","endTime":"2015-02-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-03T00:00:00+00:00","endTime":"2015-02-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-04T00:00:00+00:00","endTime":"2015-02-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-05T00:00:00+00:00","endTime":"2015-02-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-06T00:00:00+00:00","endTime":"2015-02-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-07T00:00:00+00:00","endTime":"2015-02-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-08T00:00:00+00:00","endTime":"2015-02-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-09T00:00:00+00:00","endTime":"2015-02-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-10T00:00:00+00:00","endTime":"2015-02-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-11T00:00:00+00:00","endTime":"2015-02-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-12T00:00:00+00:00","endTime":"2015-02-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-13T00:00:00+00:00","endTime":"2015-02-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-14T00:00:00+00:00","endTime":"2015-02-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-15T00:00:00+00:00","endTime":"2015-02-16T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-16T00:00:00+00:00","endTime":"2015-02-17T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-17T00:00:00+00:00","endTime":"2015-02-18T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-18T00:00:00+00:00","endTime":"2015-02-19T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-19T00:00:00+00:00","endTime":"2015-02-20T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-20T00:00:00+00:00","endTime":"2015-02-21T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-21T00:00:00+00:00","endTime":"2015-02-22T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-22T00:00:00+00:00","endTime":"2015-02-23T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-23T00:00:00+00:00","endTime":"2015-02-24T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-24T00:00:00+00:00","endTime":"2015-02-25T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-25T00:00:00+00:00","endTime":"2015-02-26T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-26T00:00:00+00:00","endTime":"2015-02-27T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-27T00:00:00+00:00","endTime":"2015-02-28T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-02-28T00:00:00+00:00","endTime":"2015-03-01T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-01T00:00:00+00:00","endTime":"2015-03-02T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-02T00:00:00+00:00","endTime":"2015-03-03T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-03T00:00:00+00:00","endTime":"2015-03-04T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-04T00:00:00+00:00","endTime":"2015-03-05T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-05T00:00:00+00:00","endTime":"2015-03-06T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-06T00:00:00+00:00","endTime":"2015-03-07T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-07T00:00:00+00:00","endTime":"2015-03-08T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-08T00:00:00+00:00","endTime":"2015-03-09T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-09T00:00:00+00:00","endTime":"2015-03-10T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-10T00:00:00+00:00","endTime":"2015-03-11T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-11T00:00:00+00:00","endTime":"2015-03-12T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-12T00:00:00+00:00","endTime":"2015-03-13T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-13T00:00:00+00:00","endTime":"2015-03-14T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28},{"startTime":"2015-03-14T00:00:00+00:00","endTime":"2015-03-15T00:00:00+00:00","numFailedInstances":16,"numSuccessfullInstances":4,"dataSizeCopied":367.28}],"requestId":"23c44f3f-f528-4a94-bc0e-f95019729b42","message":"default\\/STATUS\\n","status":"SUCCEEDED"}],
      topEntities = [{
                      "topSuccessfulEntities": [
                        {
                          "name": "cleanEmails",
                          "type": "process",
                          "numberOfSuccessfulEntities": 15
                        },
                        {
                          "name": "cleanEmails2",
                          "type": "process",
                          "numberOfSuccessfulEntities": 11
                        },
                        {
                          "name": "cleanEmails3",
                          "type": "process",
                          "numberOfSuccessfulEntities": 12
                        },
                        {
                          "name": "cleanEmails4",
                          "type": "process",
                          "numberOfSuccessfulEntities": 25
                        },
                        {
                          "name": "cleanEmails5",
                          "type": "process",
                          "numberOfSuccessfulEntities": 1
                        }

                      ],
                      "topFailedEntities": [
                        {
                          "name": "updateUserProfile1",
                          "type": "process",
                          "numberOfFailedEntities": 5
                        },
                        {
                          "name": "updateUserProfile2",
                          "type": "process",
                          "numberOfFailedEntities": 8
                        },
                        {
                          "name": "updateUserProfile3",
                          "type": "process",
                          "numberOfFailedEntities": 1
                        },
                        {
                          "name": "updateUserProfile4",
                          "type": "process",
                          "numberOfFailedEntities": 15
                        },
                        {
                          "name": "updateUserProfile5",
                          "type": "process",
                          "numberOfFailedEntities": 2
                        }
                      ],
                      "topDataCopiedEntities": [
                        {
                          "name": "readEmails1",
                          "type": "process",
                          "dataCopied": 4025
                        },
                        {
                          "name": "readEmails2",
                          "type": "process",
                          "dataCopied": 4025
                        },
                        {
                          "name": "readEmails3",
                          "type": "process",
                          "dataCopied": 1086
                        },
                        {
                          "name": "readEmails4",
                          "type": "process",
                          "dataCopied": 1057
                        },
                        {
                          "name": "readEmails5",
                          "type": "process",
                          "dataCopied": 5021
                        },

                      ],
                      "requestId": "default\/e15bb378-d09f-4911-9df2-5334a45153d2\n",
                      "message": "default\/STATUS\n",
                      "status": "SUCCEEDED"
                    },{
                      "topSuccessfulEntities": [
                        {
                          "name": "fooEmails",
                          "type": "process",
                          "numberOfSuccessfulEntities": 1
                        },
                        {
                          "name": "barEmails",
                          "type": "process",
                          "numberOfSuccessfulEntities": 150
                        },
                        {
                          "name": "fooCleanEmails3",
                          "type": "process",
                          "numberOfSuccessfulEntities": 25
                        },
                        {
                          "name": "FooEmails4",
                          "type": "process",
                          "numberOfSuccessfulEntities": 15
                        },
                        {
                          "name": "cleanEmails5",
                          "type": "process",
                          "numberOfSuccessfulEntities": 10
                        }

                      ],
                      "topFailedEntities": [
                        {
                          "name": "fooUpdateUserProfile1",
                          "type": "process",
                          "numberOfFailedEntities": 21
                        },
                        {
                          "name": "fooUpdateUserProfile2",
                          "type": "process",
                          "numberOfFailedEntities": 92
                        },
                        {
                          "name": "fooUpdateUserProfile3",
                          "type": "process",
                          "numberOfFailedEntities": 102
                        },
                        {
                          "name": "fooUpdateUserProfile4",
                          "type": "process",
                          "numberOfFailedEntities": 20
                        },
                        {
                          "name": "fooUpdateUserProfile5",
                          "type": "process",
                          "numberOfFailedEntities": 12
                        }
                      ],
                      "topDataCopiedEntities": [
                        {
                          "name": "fooReadEmails1",
                          "type": "process",
                          "dataCopied": 1025
                        },
                        {
                          "name": "fooReadEmails2",
                          "type": "process",
                          "dataCopied": 2025
                        },
                        {
                          "name": "fooReadEmails3",
                          "type": "process",
                          "dataCopied": 1403
                        },
                        {
                          "name": "fooReadEmails4",
                          "type": "process",
                          "dataCopied": 1103
                        },
                        {
                          "name": "fooReadEmails5",
                          "type": "process",
                          "dataCopied": 121
                        }

                      ],
                      "requestId": "default\/e15bb378-d09f-4911-9df2-5334a45153d2\n",
                      "message": "default\/STATUS\n",
                      "status": "SUCCEEDED"
                    }];


  exports.feedHours = feedHours;
  exports.processHours = processHours;
  exports.datasetHours = datasetHours;

  exports.feedDays = feedDays;
  exports.processDays = processDays;
  exports.datasetDays = datasetDays;

  exports.topEntities = topEntities;

}());